Subject: [DMVR] DMVR Test & Tune, and First Solo II Event for 2005

From: "Mike Slater" <[email-masked]>
Date: Mon, 14 Mar 2005 18:51:00 -0600

DMVR is starting up it's 2005 Solo II Season with a Test and Tune for SCCA
Members only on Saturday, March 19, Limited to the First 25 to Register.

The First Points Solo II Event open to all Drivers is Sunday March 20

Check out www.dmvrscca.org/soloschd.htm  Click on the 19th or the 20th for
Details and a Link to Pre-Registration.

The Test & Tune will Start Registration at 10:00 AM

The Solo II Event will start Registration at 8:00 AM and Be finished with
Registration at 10:30 AM,  So Pre-Registration is Highly Recommended.

Thanks
Mike Slater